Package groovy.model

## Class DefaultTableColumn

- java.lang.Object
- - javax.swing.table.TableColumn
  - - groovy.model.DefaultTableColumn

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class DefaultTableColumn
      extends TableColumn

  Deprecated.
  Represents a column using a ValueModel to extract the value.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.TableColumn

      `CELL_RENDERER_PROPERTY, cellEditor, cellRenderer, COLUMN_WIDTH_PROPERTY, HEADER_RENDERER_PROPERTY, HEADER_VALUE_PROPERTY, headerRenderer, headerValue, identifier, isResizable, maxWidth, minWidth, modelIndex, resizedPostingDisableCount, width`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultTableColumn​(ValueModel valueModel)` | Deprecated.
    `DefaultTableColumn​(Object header, ValueModel valueModel)` | Deprecated.
    `DefaultTableColumn​(Object headerValue, Object identifier, ValueModel columnValueModel)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class` | `getType()` | Deprecated.
    `Object` | `getValue​(Object row, int rowIndex, int columnIndex)` | Deprecated. Evaluates the value of a cell
    `ValueModel` | `getValueModel()` | Deprecated.
    `void` | `setValue​(Object row, Object value, int rowIndex, int columnIndex)` | Deprecated.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class javax.swing.table.TableColumn

      `addPropertyChangeListener, createDefaultHeaderRenderer, disableResizedPosting, enableResizedPosting, getCellEditor, getCellRenderer, getHeaderRenderer, getHeaderValue, getIdentifier, getMaxWidth, getMinWidth, getModelIndex, getPreferredWidth, getPropertyChangeListeners, getResizable, getWidth, removePropertyChangeListener, setCellEditor, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, setPreferredWidth, setResizable, setWidth, sizeWidthToFit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTableColumn

          public DefaultTableColumn​(ValueModel valueModel)

      Deprecated.

    - #### DefaultTableColumn

          public DefaultTableColumn​(Object header,
                                    ValueModel valueModel)

      Deprecated.

    - #### DefaultTableColumn

          public DefaultTableColumn​(Object headerValue,
                                    Object identifier,
                                    ValueModel columnValueModel)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### getValue

          public Object getValue​(Object row,
                                 int rowIndex,
                                 int columnIndex)

      Deprecated.
      Evaluates the value of a cell
      Parameters:
        `row` - the row of interest
        `rowIndex` - the index of the row of interest
        `columnIndex` - the column of interest
      Returns:
        the value

    - #### setValue

          public void setValue​(Object row,
                               Object value,
                               int rowIndex,
                               int columnIndex)

      Deprecated.

    - #### getType

          public Class getType()

      Deprecated.
      Returns:
        the column type

    - #### getValueModel

          public ValueModel getValueModel()

      Deprecated.